org.rrd4j.core.jrrd

## Interface Constants

- All Known Implementing Classes:
    Header, RRDFile

      interface Constants

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `CF_NAM_SIZE` Constant `CF_NAM_SIZE=20`
    `static String` | `COOKIE` Constant `COOKIE="RRD"`
    `static int` | `DS_NAM_SIZE` Constant `DS_NAM_SIZE=20`
    `static int` | `DST_SIZE` Constant `DST_SIZE=20`
    `static double` | `FLOAT_COOKIE` Constant `FLOAT_COOKIE=8.642135E130`
    `static int` | `LAST_DS_LEN` Constant `LAST_DS_LEN=30`
    `static int` | `MAX_SUPPORTED_VERSION` Constant `MAX_SUPPORTED_VERSION=3`
    `static int` | `SIZE_OF_DOUBLE` Constant `SIZE_OF_DOUBLE=8`
    `static String` | `UNDEFINED_VERSION` Constant `UNDEFINED_VERSION="UNDEF"`
    `static int` | `UNDEFINED_VERSION_AS_INT` Constant `UNDEFINED_VERSION_AS_INT=-1`
    `static int` | `VERSION_WITH_LAST_UPDATE_SEC` Constant `VERSION_WITH_LAST_UPDATE_SEC=3`

- - ### Field Detail

    - #### CF_NAM_SIZE

          static final int CF_NAM_SIZE

      Constant `CF_NAM_SIZE=20`
      See Also:
        Constant Field Values

    - #### COOKIE

          static final String COOKIE

      Constant `COOKIE="RRD"`
      See Also:
        Constant Field Values

    - #### DS_NAM_SIZE

          static final int DS_NAM_SIZE

      Constant `DS_NAM_SIZE=20`
      See Also:
        Constant Field Values

    - #### DST_SIZE

          static final int DST_SIZE

      Constant `DST_SIZE=20`
      See Also:
        Constant Field Values

    - #### FLOAT_COOKIE

          static final double FLOAT_COOKIE

      Constant `FLOAT_COOKIE=8.642135E130`
      See Also:
        Constant Field Values

    - #### LAST_DS_LEN

          static final int LAST_DS_LEN

      Constant `LAST_DS_LEN=30`
      See Also:
        Constant Field Values

    - #### MAX_SUPPORTED_VERSION

          static final int MAX_SUPPORTED_VERSION

      Constant `MAX_SUPPORTED_VERSION=3`
      See Also:
        Constant Field Values

    - #### SIZE_OF_DOUBLE

          static final int SIZE_OF_DOUBLE

      Constant `SIZE_OF_DOUBLE=8`
      See Also:
        Constant Field Values

    - #### UNDEFINED_VERSION

          static final String UNDEFINED_VERSION

      Constant `UNDEFINED_VERSION="UNDEF"`
      See Also:
        Constant Field Values

    - #### UNDEFINED_VERSION_AS_INT

          static final int UNDEFINED_VERSION_AS_INT

      Constant `UNDEFINED_VERSION_AS_INT=-1`
      See Also:
        Constant Field Values

    - #### VERSION_WITH_LAST_UPDATE_SEC

          static final int VERSION_WITH_LAST_UPDATE_SEC

      Constant `VERSION_WITH_LAST_UPDATE_SEC=3`
      See Also:
        Constant Field Values